itpp::TTimer< THandler > Class Template Reference
Protocols Module

`#include <itpp/protocol/signals_slots.h>`

## Public Member Functions

| TTimer (THandler &handler, void(THandler::*handlerFunction)(Ttype time))
| Default constructor.
virtual | ~TTimer ()
| Destructor.
void | Set (Ttype time, bool relative=true)
| ADD DOCUMENTATION HERE.
void | Reset ()
| ADD DOCUMENTATION HERE.
Ttype | ExpirationTime () const
| ADD DOCUMENTATION HERE.
bool | IsPending () const
| ADD DOCUMENTATION HERE.

## Protected Member Functions

virtual void | HandleProcessEvent (Ttype currentTime)
| ADD DOCUMENTATION HERE.
virtual void | HandleCancelEvent (Ttype)
| ADD DOCUMENTATION HERE.

## Protected Attributes

bool | fPending
| Flag denoting if timer is set.
Ttype | fExpirationTime
| ADD DOCUMENTATION HERE.

## Detailed Description

### template<class THandler>
class itpp::TTimer< THandler >

TTimer is a class that can be set in order to be remembered at a future instance of time. The difference to "generic event" is the easy usage that already take care about posting and canceling events

Definition at line 296 of file signals_slots.h.

The documentation for this class was generated from the following file:

- itpp/protocol/signals_slots.h

Generated on Sat Sep 30 2017 07:04:09 for IT++ by Doxygen 1.8.13